def MakeAnchor(input,anchor_name):
    input_list = input.split('/')
    output_list = ['DEF_ANCHOR "MARK_{0}" GLYPH {1} COMPONENT 1 LOCKED AT  POS END_POS END_ANCHOR'.format(anchor_name,input_list[0])]
    for i in input_list[1:]:
       output_list.append('DEF_ANCHOR "MARK_{0}" GLYPH {1} COMPONENT 1 AT  POS END_POS END_ANCHOR'.format(anchor_name,i))
    output_string=''
    for i in output_list:
        output_string+=(i+'\n')
    return output_string

input = open('anchor data.dat','rt')
output = open('Mark.vtl','wt')
print('Begin to process glyphs...')
glyphs=[]
premable = 'DEF_LOOKUP "Mark" PROCESS_BASE PROCESS_MARKS ALL DIRECTION RTL IN_CONTEXT END_CONTEXT AS_POSITION ATTACH '
for line in input:
    glyphs.append(line.split()[0])
    premable+='GLYPH "{0}" '.format(line.split()[0])
premable += '\nTO GROUP "m_above" AT ANCHOR "top" GROUP "m_below" AT ANCHOR "bottom" END_ATTACH END_POSITION\n'
above_marks = 'uni064B/uni064C/uni064E/uni064F/uni0651/uni0652/uni0653/uni0654/uni0657/uni0658/uni0659/uni065A/uni065B/uni0670/uni06D8/uni06DC/uni06DF/uni06E0/uni06E1/uni06E2/uni06E4/uni06E7/uni06E8/uni06EB/uni06EC/uni0651.uni064B/uni0651.uni064C/uni0651.uni064D/uni0651.uni064E/uni0651.uni064F/uni0651.uni0650/uni0651.uni0670'
below_marks = 'uni064D/uni0650/uni0655/uni0656/uni06E3/uni06ED'
anchor_above = MakeAnchor(above_marks,'top')
anchor_below = MakeAnchor(below_marks,'bottom')
print('writing preamable to file...')
output.write(premable)
output.write(anchor_above)
input.seek(0)
for line in input:
    values = line.split()
    output.write('DEF_ANCHOR "{0}" GLYPH {1} COMPONENT 1 AT POS DX {2} DY {3} END_POS END_ANCHOR\n'.format('top',values[0],values[1],values[2]))
output.write(anchor_below)
input.seek(0)
for line in input:
    values = line.split()
    output.write('DEF_ANCHOR "{0}" GLYPH {1} COMPONENT 1 AT POS DX {2} DY {3} END_POS END_ANCHOR\n'.format('bottom',values[0],values[3],values[4]))
#for line in input:
input.close()
output.write('END')
print('Finished...')
output.close()
